org.jbpm.services.task.audit

## Interface BAMTaskSummaryQueryBuilder

- All Superinterfaces:
    org.kie.internal.query.ExtendedParametrizedQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>, org.kie.internal.query.ParametrizedQueryBuilder<BAMTaskSummaryQueryBuilder>, org.kie.internal.query.ProcessInstanceIdQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>, org.kie.internal.task.query.TaskAuditQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>
  All Known Implementing Classes:
    BAMTaskSummaryQueryBuilderImpl

      public interface BAMTaskSummaryQueryBuilder
      extends org.kie.internal.task.query.TaskAuditQueryBuilder<BAMTaskSummaryQueryBuilder,BAMTaskSummaryImpl>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `BAMTaskSummaryQueryBuilder.OrderBy`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BAMTaskSummaryQueryBuilder` | `ascending(BAMTaskSummaryQueryBuilder.OrderBy field)` Specify which field to use when ordering the results, in ascending order.
    `BAMTaskSummaryQueryBuilder` | `createdOn(Date... createdOn)` Specify one or more dates to use as a criteria for the created-on date of a task as logged in the task event
    `BAMTaskSummaryQueryBuilder` | `createdOnRange(Date createdOnMin, Date createdOnMax)` Specify an inclusive range of (task) creation dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `BAMTaskSummaryQueryBuilder` | `descending(BAMTaskSummaryQueryBuilder.OrderBy field)` Specify which field to use when ordering the results, in descending order.
    `BAMTaskSummaryQueryBuilder` | `duration(long... duration)` Specify one or more duration to use as a criteria
    `BAMTaskSummaryQueryBuilder` | `endDate(Date... endDate)` Specify one or more (task) end dates to use as a criteria.
    `BAMTaskSummaryQueryBuilder` | `endDateRange(Date endDateMin, Date endDateMax)` Specify an inclusive range of (task) end dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `BAMTaskSummaryQueryBuilder` | `startDate(Date... startDate)` Specify one or more (task) start dates to use as a criteria.
    `BAMTaskSummaryQueryBuilder` | `startDateRange(Date startDateMin, Date startDateMax)` Specify an inclusive range of (task) start dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `BAMTaskSummaryQueryBuilder` | `taskName(String... name)` Specify one or more task names to use as a criteria.
    `BAMTaskSummaryQueryBuilder` | `taskStatus(org.kie.api.task.model.Status... status)` Specify one or more task statuses to use as a criteria.
    `BAMTaskSummaryQueryBuilder` | `userId(String... userId)` Specify one or more user ids to use as a criteria

    - ### Methods inherited from interface org.kie.internal.task.query.TaskAuditQueryBuilder

      `id, taskId, taskIdRange`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### startDate

          BAMTaskSummaryQueryBuilder startDate(Date... startDate)

      Specify one or more (task) start dates to use as a criteria.
      Parameters:
        `startDate` - one or more dates
      Returns:
        The current query builder instance

    - #### startDateRange

          BAMTaskSummaryQueryBuilder startDateRange(Date startDateMin,
                                                    Date startDateMax)

      Specify an inclusive range of (task) start dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `startDateMin` - the minimal (lower) date to use in the range
        `startDateMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### duration

          BAMTaskSummaryQueryBuilder duration(long... duration)

      Specify one or more duration to use as a criteria
      Parameters:
        `duration` - one or more durations
      Returns:
        The current query builder instance

    - #### taskStatus

          BAMTaskSummaryQueryBuilder taskStatus(org.kie.api.task.model.Status... status)

      Specify one or more task statuses to use as a criteria.
      Parameters:
        `status` - one or more task statuses
      Returns:
        The current query builder instance

    - #### userId

          BAMTaskSummaryQueryBuilder userId(String... userId)

      Specify one or more user ids to use as a criteria
      Parameters:
        `userId` - one or more (string) user ids
      Returns:
        The current query builder instance

    - #### endDate

          BAMTaskSummaryQueryBuilder endDate(Date... endDate)

      Specify one or more (task) end dates to use as a criteria.
      Parameters:
        `endDate` - one or more dates
      Returns:
        The current query builder instance

    - #### endDateRange

          BAMTaskSummaryQueryBuilder endDateRange(Date endDateMin,
                                                  Date endDateMax)

      Specify an inclusive range of (task) end dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `endDateMin` - the minimal (lower) date to use in the range
        `endDateMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### createdOn

          BAMTaskSummaryQueryBuilder createdOn(Date... createdOn)

      Specify one or more dates to use as a criteria for the created-on date of a task as logged in the task event
      Parameters:
        `createdOn` - one or more dates
      Returns:
        The current query builder instance

    - #### createdOnRange

          BAMTaskSummaryQueryBuilder createdOnRange(Date createdOnMin,
                                                    Date createdOnMax)

      Specify an inclusive range of (task) creation dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `createdOnMin` - the minimal (lower) date to use in the range
        `createdOnMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### taskName

          BAMTaskSummaryQueryBuilder taskName(String... name)

      Specify one or more task names to use as a criteria.
      Parameters:
        `name` - one or more string names
      Returns:
        The current query builder instance

    - #### ascending

          BAMTaskSummaryQueryBuilder ascending(BAMTaskSummaryQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in ascending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

    - #### descending

          BAMTaskSummaryQueryBuilder descending(BAMTaskSummaryQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in descending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.